%define modname lxml

Name:           python-%{modname}
URL:            http://codespeak.net/lxml/
Summary:        A Pythonic binding for the libxml2 and libxslt libraries
Version:        2.3.2
Release:        %mkrel 1
License:        BSD
Group:          Development/Python
Source:         http://pypi.python.org/packages/source/l/lxml/%{modname}-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  python-pyrex
BuildRequires:  python-setuptools

%description
lxml is a Pythonic binding for the libxml2 and libxslt libraries. It follows
the ElementTree API as much as possible, building it on top of the native
libxml2 tree. It also extends this API to expose libxml2 and libxslt specific
functionality, such as XPath, Relax NG, XML Schema, XSLT, and c14n.

%package docs
Summary:	Documentation for %{name}
Group:		Development/Python

%description docs
lxml is a Pythonic binding for the libxml2 and libxslt libraries. It follows
the ElementTree API as much as possible, building it on top of the native
libxml2 tree. It also extends this API to expose libxml2 and libxslt specific
functionality, such as XPath, Relax NG, XML Schema, XSLT, and c14n.

This package contains the documentation. The documentation is located in
%{_docdir}/%{name}/doc.

%prep
%setup -q -n %{modname}-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS"
%{__python} setup.py build

export PYTHONPATH="%{buildroot}%{_libdir}/python%{pyver}/site-packages"

%install
%{__python} setup.py install --root=%{buildroot}

#docs
mkdir -p %{buildroot}%{_docdir}/%{name}/doc
cp -r doc/* %{buildroot}%{_docdir}/%{name}/doc

%clean
rm -rf  %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES.txt CREDITS.txt LICENSES.txt README.txt TODO.txt
%exclude %{_docdir}/%{name}/doc
%py_platsitedir/lxml*

%files docs
%defattr(-,root,root)
%doc %{_docdir}/%{name}/doc


%changelog
* Wed Nov 30 2011 Alexander Khrukin <akhrukin@mandriva.org> 2.3.2-1mdv2011.0
+ Revision: 735776
- version update 2.3.2

* Tue Nov 01 2011 Lev Givon <lev@mandriva.org> 2.3.1-1
+ Revision: 709386
- Update to 2.3.1.

* Wed May 11 2011 Jani Välimaa <wally@mandriva.org> 2.3-3
+ Revision: 673643
- split docs to a separate subpackage

* Thu May 05 2011 Funda Wang <fwang@mandriva.org> 2.3-2
+ Revision: 669085
- rebuild

* Wed May 04 2011 Guillaume Rousse <guillomovitch@mandriva.org> 2.3-1
+ Revision: 667049
- update to new version 2.3

* Sat Oct 30 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.2.8-2mdv2011.0
+ Revision: 590474
- rebuild for python-2.7
- remove obsolete macros
- clean spec

* Sun Sep 12 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.8-1mdv2011.0
+ Revision: 577727
- update to new version 2.2.8

* Sat Aug 14 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.7-1mdv2011.0
+ Revision: 569670
- update to new version 2.2.7

* Mon Mar 08 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.2.6-1mdv2010.1
+ Revision: 515905
- update to 2.2.6

* Sun Jan 03 2010 Emmanuel Andry <eandry@mandriva.org> 2.2.4-1mdv2010.1
+ Revision: 485956
- New version 2.2.4

* Sat Jul 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.2-1mdv2010.0
+ Revision: 397066
- update to new version 2.2.2

* Tue Jun 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.1-1mdv2010.0
+ Revision: 384252
- update to new version 2.2.1

* Sun Jan 11 2009 Funda Wang <fwang@mandriva.org> 2.1.5-1mdv2009.1
+ Revision: 328231
- 2.1.5

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 2.1.4-1mdv2009.1
+ Revision: 324272
- New upstream release

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 2.1.2-2mdv2009.1
+ Revision: 318984
- rebuild for new python

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.2-1mdv2009.1
+ Revision: 305841
- update to new version 2.1.2

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 2.1.1-1mdv2009.0
+ Revision: 280559
- New release

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.3.2-2mdv2009.0
+ Revision: 225134
- rebuild

* Fri Dec 21 2007 Olivier Blin <blino@mandriva.org> 1.3.2-1mdv2008.1
+ Revision: 136450
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Jérôme Soyer <saispo@mandriva.org> 1.3.2-1mdv2008.0
+ Revision: 64972
- New version 1.3.2

